View Issue Details

IDProjectCategoryView StatusLast Update
0024628mantisbtmarkdownpublic2019-04-21 05:25
ReporterzringeleAssigned Todregad 
PrioritynormalSeverityminorReproducibilityhave not tried
Status assignedResolutionopen 
Product Version2.12.1 
Target Version2.22.0Fixed in Version 
Summary0024628: When i have markdown enabled quotes are messed up
Description

My ' and " quotes turn into " with the markdown enabled

TagsNo tags attached.

Relationships

related to 0024241 assigneddregad $g_html_valid_tags are not rendered if Markdown is enabled 
has duplicate 0025379 closedatrol Code in decription replacing html chars 
related to 0023206 new Markdown shows html tags in code-block 
related to 0025405 new Links on summary, notes, and Details converted to other chars 

Activities

zringele

zringele

2018-07-24 05:42

reporter   ~0060309

& quot ; I mean

atrol

atrol

2018-07-24 05:59

developer   ~0060311

zringele,

I was not able to reproduce your problem with a fresh install of the latest stable MantisBT release (2.15.0 at the moment).

If you are running an older version, I recommend that you upgrade to the latest (download from [1]). If after doing so the problem persists, do not hesitate to reopen the issue and provide detailed step-by-step instructions to reproduce the issue; the following additional information may also be useful:

  • Exact version of MantisBT, PHP, Database, Web server, Browser and Operating System
  • Relevant customizations (e.g. changes in config_inc.php, etc)
  • Installed plugins or custom functions ?
  • Was the MantisBT source code modified in any way ?

[1] http://mantisbt.org/download.php

zringele

zringele

2018-07-24 08:14

reporter   ~0060312

Last edited: 2018-07-24 08:15

View 2 revisions

"
Looks like the problem is only when using " inside a code tag like this "

atrol

atrol

2018-07-24 15:06

developer   ~0060313

The PR that fixes 0024241 fixes also this issue.

Issue History

Date Modified Username Field Change
2018-07-24 05:39 zringele New Issue
2018-07-24 05:42 zringele Note Added: 0060309
2018-07-24 05:59 atrol Assigned To => atrol
2018-07-24 05:59 atrol Status new => resolved
2018-07-24 05:59 atrol Resolution open => unable to reproduce
2018-07-24 05:59 atrol Note Added: 0060311
2018-07-24 08:14 zringele Note Added: 0060312
2018-07-24 08:15 zringele Note Edited: 0060312 View Revisions
2018-07-24 08:15 zringele Status resolved => feedback
2018-07-24 08:15 zringele Resolution unable to reproduce => reopened
2018-07-24 15:05 atrol Relationship added related to 0024241
2018-07-24 15:06 atrol Note Added: 0060313
2018-07-24 15:07 atrol Assigned To atrol => dregad
2018-07-24 15:07 atrol Status feedback => assigned
2018-07-24 15:07 atrol Resolution reopened => open
2018-07-24 15:07 atrol Product Version => 2.12.1
2018-07-24 15:07 atrol Target Version => 2.15.1
2018-07-24 15:07 atrol Description Updated View Revisions
2018-07-30 05:32 atrol Target Version 2.15.1 => 2.16.1
2018-09-04 05:54 atrol Target Version 2.16.1 => 2.18.0
2018-10-16 23:45 vboctor Target Version 2.18.0 => 2.19.0
2019-01-02 17:32 vboctor Target Version 2.19.0 => 2.20.0
2019-01-24 02:30 atrol Relationship added has duplicate 0025379
2019-02-01 02:32 atrol Relationship added related to 0023206
2019-02-01 02:34 atrol Relationship added related to 0025405
2019-03-16 20:33 vboctor Target Version 2.20.0 => 2.21.0
2019-04-21 05:25 atrol Target Version 2.21.0 => 2.22.0